Clover
Integrate your application with the Clover API
🚀 Quickstart
Connect to Clover with Tenklo and see data flow in 2 minutes.
In Tenklo (free signup), go to Integrations -> Configure New Integration -> Clover.
Go to Connections -> Add Test Connection -> Authorize, then log in to Clover. Later, you'll let your users do the same directly from your app.
Let's make your first request to the Clover API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:
curl "https://api.tenklo.dev/proxy/v3/merchants/{mId}/orders" \
-H "Authorization: Bearer <NANGO-API-KEY>" \
-H "Provider-Config-Key: <INTEGRATION-ID>" \
-H "Connection-Id: <CONNECTION-ID>"Replace {mId} with the merchant ID, which Tenklo automatically stores in connectionConfig.merchant_id after authorization. You can retrieve it via the Node SDK or API.
✅ You're connected! Check the Logs tab in Tenklo to inspect requests.
Follow our quickstart to integrate Tenklo in your app.
To obtain your own production credentials, follow the setup guide linked below.
📚 Clover Integration Guides
Tenklo maintained guides for common use cases.
-
How do I link my account?
Connect your Clover account using the Connect UI -
How to register your own Clover API OAuth app Register an OAuth app with Clover and obtain credentials to connect it to Tenklo
Official docs: Clover REST API documentation
🧩 Pre-built syncs & actions for Clover
Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.
No pre-built syncs or actions available yet.